Installer - Bug #31527

foreman-installer fails to configure Postgres on CentOS Stream 8
12/17/2020 06:39 PM - Mike McCune

Status: New

Priority: Normal
Assignee:

Category: External modules

Target version:

Difficulty: Fixed in Releases:

Triaged: Yes Found in Releases: 2.3.1
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/puppetlabs/puppetlabs

-postgresql/pull/1222,
https://github.com/puppetlabs/puppetlabs
-apache/pull/2110

Description

1) Install Foreman on CentOS 8
2) Upgrade host to Centos Stream 8, OS upgraded fine
3) Notice httpd did not start:

Dec 17 13:35:42 foreman.example.com systemd[l]: Starting The Apache HTTP Server...

ec 17 13:35:42 foreman.example.com httpd[348365]: [Thu Dec 17 13:35:42.585406 2020] [so:warn] [pid
348365] AHO01574: module systemd_module is already loaded, skipping

Dec 17 13:35:42 foreman.example.com httpd[348365]: [Thu Dec 17 13:35:42.585893 2020] [so:warn] [pi

d 348365] AHO01574: module cgi_module is already loaded, skipping

Dec 17 13:35:42 foreman.example.com httpd[348365]: AHO00534: httpd: Configuration error: More than
one MPM loaded.

Dec 17 13:35:42 foreman.example.com systemd[l]: httpd.service: Main process exited, code=exited, s

tatus=1/FAILURE

4) Attempt to run foreman-installer to resolve:

2020-12-14 11:16:14 [DEBUG ] [configure] importing '/usr/share/foreman-installer/modules/postgresqg
1/manifests/globals.pp' in environment production

2020-12-14 11:16:14 [DEBUG ] [configure] Automatically imported postgresgl::globals from postgresqg
1/globals into production

2020-12-14 11:16:14 [ERROR ] [configure] Evaluation Error: Error while evaluating a Function Call,

No preferred version defined or automatically detected. (file: /usr/share/foreman-installer/modul
es/postgresqgl/manifests/globals.pp, line: 231, column: 5) on node dhcp-8-29-92.1lab.eng.rdu2.redhat
.com

2020-12-14 11:16:14 [NOTICE] [configure] System configuration has finished.

2020-12-14 11:16:14 [NOTICE] [post] Executing hooks in group post

Looks like the OS detection code in /usr/share/foreman-installer/modules/postgresqgl/manifests/globals.pp does not know how to
resolve CentOS 8 version strings and may need an update

Related issues:
Has duplicate Installer - Bug #31601: Adapt installer for CentOS 8 Stream Duplicate

History

#1 - 12/22/2020 06:16 PM - Ewoud Kohl van Wijngaarden
It looks like Stream is identified by just a major version. The PostgreSQL module has a matcher for 28\. which doesn't match 8 so it can't determine
the default (as you correctly identified).

| at least opened https://github.com/puppetlabs/puppetlabs-postgresqgl/pull/1222. In Apache | found more complex code with versions, but hope that |
have it with https://github.com/puppetlabs/puppetlabs-apache/pull/2110. | haven't tested it myself yet.
https://github.com/puppetlabs/puppetlabs-postgresql/pull/1222
https://github.com/puppetlabs/puppetlabs-apache/pull/2110

#2 - 12/22/2020 06:17 PM - Ewoud Kohl van Wijngaarden

- Category set to External modules

- Triaged changed from No to Yes

- Pull request https://github.com/puppetlabs/puppetlabs-postgresql/pull/1222, https://github.com/puppetlabs/puppetlabs-apache/pull/2110 added

#3 - 01/11/2021 10:16 AM - Ewoud Kohl van Wijngaarden
- Has duplicate Bug #31601: Adapt installer for CentOS 8 Stream added

#4 - 02/05/2021 11:43 PM - Ewoud Kohl van Wijngaarden

Linking the discussion back: https://community.theforeman.org/t/running-foreman-on-centos-8-stream-support/21948.

The PostgreSQL PR has been merged and is planned to be released soon. I'm trying to get it into 2.4.
